Wordpress Themes - WP Forum at BFA

Wordpress Themes - WP Forum at BFA (http://forum.bytesforall.com/index.php)
-   Old Version fixes and change logs (http://forum.bytesforall.com/forumdisplay.php?f=37)
-   -   Atahualpa 3.5.2 released, WP3 ready (http://forum.bytesforall.com/showthread.php?t=8374)

Flynn Jul 19, 2010 03:52 PM

Atahualpa 3.5.2 released, WP3 ready
 
See http://wordpress.bytesforall.com/?p=93

  • With the new WP3 menu system
  • Export/Import system now uses the JSON format instead of the serialized/base64_encode format used in 3.5.1
  • The reason for the change is that Wordpress.org won't list the base64_ version due to the malicious things often done with base64. Sorry I should have thought about that. base64 encoding the settings files seemed to be a quick fix for the issues many users had with the settings files.
  • Unfortunately this means that if you exported a settings file in 3.5.1 and want to import that in 3.5.2, you'd need to do some legwork: Download this zip file, extract it, rename the "uploadBASE64.php" to "upload.php" and replace the existing "upload.php" in Atahualpa 3.5.2 with it.
  • If you don't have old settings files that you want to import then you don't need to do the steps described above
This release was mainly about the new WP3 menu system and the change of the settings file format. I will add the bug fixes that Juggledad posted, in the next release

lmilesw Jul 19, 2010 04:39 PM

This is GREAT. Thanks Flynn

Sonja Jul 19, 2010 06:03 PM

Thanks for the WP3.0 menu upgrade.

Does that mean that bugfixes 351-01 thru 351-06 (http://forum.bytesforall.com/showthread.php?t=7973) are not in 3.5.2, but will be in 3.5.3 ?

lmilesw Jul 19, 2010 06:10 PM

That's correct Sonja although if you use the WP menu you don't need the sub menu bug fix.

Kesava Jul 19, 2010 09:52 PM

As I am happy using the custom menu widgets and don't need the 3.0 menu feature, is there any point in me upgrading? I'm running 3.4.9 at the moment and have no problems.

lmilesw Jul 19, 2010 09:56 PM

If you aren't anxious for the WP menu integration you can certainly wait until all the bug fixes are in place before upgrading Kesava.

perplex Jul 20, 2010 02:25 AM

Very cool!

Thanx!

Kazna Jul 20, 2010 10:58 AM

The new version is great, thanks for all the efforts. But there's one thing i thought you've missed , that the bug where hyphens, commas,.. not displayed is still there although we had the fix here http://forum.bytesforall.com/showthread.php?t=8037 :D

karas Jul 25, 2010 04:36 AM

Thank you! I actually registered this morning just to find the answer to this question. Worked great :)

kjetil Jul 31, 2010 05:17 AM

Quote:

Unfortunately this means that if you exported a settings file in 3.5.1 and want to import that in 3.5.2, you'd need to do some legwork: Download this zip file, extract it, rename the "uploadBASE64.php" to "upload.php" and replace the existing "upload.php" in Atahualpa 3.5.2 with it.
I still have a couple of sites on ata 3.4.6 (and WP291) that I'd like to upgrade to ata 353.
1) Would I have to go through this legwork to avoid problems/ loosing settings? Is it necessary to export/import the settings not to loos them? (I have a lot of extra css etc - could I eventually just copy/paste that code to be safe?)
2) Would I also have to go via ata 3.5.2 (the first version where the export/import was mentioned, I believe) to avoid loosing settings?
3) Finally, should I wait upgrading to 3.5 before I've upgraded the sites to WP 3.0? (Difficult anyway because not all plugins are updated, but that's an other story)
Thanks - again

lmilesw Jul 31, 2010 06:25 AM

Quote:

Originally Posted by kjetil (Post 3887)
1) Would I have to go through this legwork to avoid problems/ losing settings? Is it necessary to export/import the settings not to lose them? (I have a lot of extra css etc - could I eventually just copy/paste that code to be safe?)
2) Would I also have to go via ata 3.5.2 (the first version where the export/import was mentioned, I believe) to avoid loosing settings?
3) Finally, should I wait upgrading to 3.5 before I've upgraded the sites to WP 3.0? (Difficult anyway because not all plugins are updated, but that's an other story)
Thanks - again

  1. That legwork is only if you exported from 3.5.1 and want to import to 3.5.2 or 3.5.3. If you do a manual upgrade your settings should be transferred.
  2. You don't have to go to 3.5.2 first
  3. Whether you upgrade WordPress or Atahuapa first is not important.
Most importantly you should do a MANUAL upgrade meaning DON'T use the automatic upgrade feature of WordPress. Just upload the 3.5.3 folder via FTP to your WP themes folder. Then activate it and see what happens. If you have issues just reactivate 3.4.6 and tell us what the issue is. You will need to copy the image files you uploaded for 3.4.6 into the corresponding folders for 3.5.3 and change image paths in the ATO but that doesn't take very long.

If you still are uncertain about anything concerning the procedure please ask before doing the upgrade.

kjetil Jul 31, 2010 01:17 PM

Great - thanks Miles(?) - just as I hoped it should be!
Thanks also for pointing out the transfer of the image folder - to keep header images, our logo and favicon. Easy to forget.
I always do upgrades manually. Its safer.

The only real legwork then will be the remaking of our templates. We use different templates for different categories (to make each of them individually postable), and since the index.php file (which all the templates are based on) is changed now (between 251 and 252 I believe), we can't just transfer all those old templates to the atahualpa253 folder.
I just mention this in case it can be useful for others :o)

Ready for upgrades! (as soon as we've tested all our plugins on WP3)

kjetil Nov 8, 2010 03:32 PM

In short: I'm stuck
(And: Your might need to rewind a bit - I'm late with our final upgrade.)
Now, after upgrading three other sites (all from WP291 to 301 and At 246 to 353) without problems, our main site is just chaos. Basically it looks like no CSS is working.
My main question is if there might be any other steps I must do to make this work.
I've done all the upgrades manually (yes, I follow a detailed list). In addition to the normal upload'n activate stuff I've
- copied over all needed images (for headers, favicon) and
- I've rebuilt new templates. This was easy because I've used identical templates on this site. (The /cucina part of dolcevita.no has its own WP install.)
- Also, I've uploaded the two fixes (this and this) that have done the job fine on the other sites.
As for now, the main part of dolcevita.no is on WP301 but back on At246 - where eg submenus won't work. This makes the site inaccessible.
Should I upgrade the theme via some other version, do some export/imort or some other magic...?
Any hint would be VERY MUCH appreciated!
Thanks,
:confused:

lmilesw Nov 8, 2010 03:38 PM

It looks like you found the fix. I saw it when it looked bad, refreshed the page and all was good.

kjetil Nov 9, 2010 09:28 AM

Thanks a lot for coming back to me!
Sorry - but I should have been more precise: The menu doesn't work.

Have a look at the second button - "Steder i Italia" - and move down on it. The sub menus (out from Nord-Italia, Midt-Italia etc, showing all the different regions of Italy) don't show up. Since this is the entrance to all the 150 travel articles on the site, the most interesting part of the site is shut off. (Also, the level 1 dropdowns don't look as they did when I was on WP 2.9.1 - no big deal)
Since At 3.4.6 doesn't support the WP 3 menus, building new menus that way is no option.
And moving to At 3.5.3 ruins the site (makes it look like all css is gone).
Now, since this somehow appears to be a css or settings problem, I thought I should try updating to At 3.5.1. That version supports export/import but not the WP 3 menus. (If that doesn't work, I can rebuild it all in WP 2.9.1 with my backups.)
Any input is still HIGHLY appreciated!
Kj
PS What you saw was probably just the maintenance page - which I removed just after posting my grief...

juggledad Nov 9, 2010 10:10 AM

it looks like you haven't applied the menu fixes

BUGFIX 353-01: Fix styling when using the new WordPress menus
- http://forum.bytesforall.com/showthread.php?t=8756

BUGFIX 351-04: Fix sub-menu padding with WordPress 3.0 (needed in 352/353 also)
- http://forum.bytesforall.com/showthread.php?t=7654

lmilesw Nov 9, 2010 10:11 AM

Those menu issues look like you haven't applied the bug fixes as listed in the New Versions and upgrading thread. I think once you apply those all should be gook.

kjetil Nov 9, 2010 12:24 PM

2 Attachment(s)
Thanks to both of you - I should wish you were right. No luck, though.
- I have double checked that all files are in place, also the 3 files in the two bugfixes. With At 3.5.3 activated the site looks stripped for css - see attachments:
Attachment 876 (top of page)
Attachment 877 (a little down on the page)
- I have also tried deactivating all plugins - no difference
- Changing to the default theme, Twenty-ten 1.1, AND building WP3 menus - things work (apart from all the widgets, of course)

One possibility is that the templates I've made cause the trouble, even if I use identical templates without problems here.
Or, could it be some settings that don't transfer well through such a big upgrade? (from WP292/At246 to WP301/At353 - all done manually). Maybe re-upgrading to WP 3.0.1 once more could be an idea?
Meanwhile I move the site back to At346 - so at least it works partially (though without the submenus)
Thanks again - I really appreciate that you take your time!

PS After today's changes suddenly all widgets were gone - reinserting them would be a BIG job. A database backup from this afternoon solved that problem in seconds.
EVERYONE: BACKUP OFTEN - this plugin is probably the best way to a safer life

lmilesw Nov 9, 2010 12:48 PM

At www.dolcevita.no it still looks like you don't have the menu bug fixes installed. How did you create your templates?

kjetil Nov 9, 2010 01:10 PM

Now I'm back on At 3.4.6 and I believe I should not use those fixes on that old version. (The submenus don't work after upgrading from WP 2.9.1 to 3.0.1 - which makes the site hard to access.)
If I activate At 3.5.3 the site appears as shown in the screen dumps.

I've made the templates on basis of atahualpa's index.php file - just adding eg
Code:

<?php
/*
Template Name: Category 4 Piemonte
*/
?>

at the very top and
Code:

<div id="tommel">
<?php if(function_exists('wp_smart_image')) wp_smart_image($size='mini', $type = 'link') ?>
</div>

at line 24 to show post thumbs (using the smart image plugin).
That's all.
I have made one template for each category to show posts from each of the Italian regions on a page of their own (actually a category archive - like dolcevita.no/toscana/)
Thanks,

juggledad Nov 9, 2010 01:49 PM

if you are using templates build on the 346 index.php in 353 there maybe an issue since there were a couple lines changed

lmilesw Nov 9, 2010 02:15 PM

Instead of a page template how about trying the Widgets on Pages plugin instead? This allows you to put a shortcode on a page so you can show a widget there. One way to see if the template is the issue is to use the default template and see if the issues remain.

kjetil Nov 9, 2010 02:53 PM

First of all: Thanks again for trying to help me on

Juggledad: I stick to the Atahualpa version I'm working with. For all updates I've checked if the index.php file (the "mother" file) was changed. This time it was, so I made new templates from the 3.5.3 index.php file.
Miles: I'm afraid that would require me to rebuild most of the site. With about 200 posts and pages and eg lots of page and post specific sidebar content, this would be a big job. (This special setup also makes it possible to publish posts that automatically appear on their correct page / category archive - while WP normally just lets you post to one blog page, right?)
- and I switched to the default template on a "page" page and then switched to At 3.5.3. The same chaos.

What do you think about repeating the upgrade of WP? Any hope there?
Some possible CSS-problem? (The At settings/css inserts seems to follow nicely from At 3.4.6 to 3.5.3)
Funny thing...

kjetil Nov 13, 2010 04:37 AM

Problem solved!
It turned out to be (something like) a corrupted settings file.
After activating the Atahualpa 2.5.3 theme I picked one of the standard settings (Export/Import settings - Import Atahualpa settings file) and rebuilt our own design from that. Now everything works perfectly.
Before doing that, of course, I made notes (screen dumps) of all settings so I could copy paste it back. On the way I also reloaded the front end for each time I saved new settings.
Here I also found a paragraph of CSS (and php) - under Add hmtl/css inserts - which made the front end go blank. I was surprised, because I previously had removed all css inserts without that helping anything.
My conclusion is that the problems I had were caused by a mix of this css paragraph and some weird error in our own settings file (or the settings part of the database).
Thanks guys for your effort!

trusktr Nov 23, 2010 02:43 PM

I have 3.5.3 and i tried this fix but I still can't import my settings. I keep getting the same "Sorry, but .... doesn't appear to be a valid Atahualpa settings file" error.

How can I import these settings without breaking an arm and a leg trying to re-implement all the settings?


All times are GMT -6. The time now is 10:00 PM.

Powered by vBulletin® Copyright ©2000 - 2020, Jelsoft Enterprises Ltd.